---
page_title: Validate Customer Account
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/express-checkout/validate-customer-account
openapi: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fexpress-checkout%2Fvalidate-customer-account
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: default


# Validate Customer account



This is a Server-to-Server API that validates the bank account/UPI details and validate whether the provided account details are correct.## Endpoints:
- Sandbox: https://sandbox.juspay.in/customers/{customer_id}/customer-accounts/{bank_account_id}/validate

- Production: https://api.juspay.in/customers/{customer_id}/customer-accounts/{bank_account_id}/validate

## Request Type: 
POST

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: Base64 Encoded Username:Password, Mandatory
## Headers:

#### Content-Type:
application/x-www-form-urlencoded
- Tags: String

#### x-routing-id:
We recommend passing the customer_id as the x-routing-id. If the customer is checking out as a guest, you can pass an alternative ID that helps track the payment session lifecycle. For example, this could be an Order ID or Cart ID.

> **Warning**
> This ID is associated with the customer. It plays a key role in ensuring consistency and maintaining connections across different systems. If you fail to pass the same x-routing-id for the same customer in all related API calls, it could lead to issues with API functionality. Therefore, it’s crucial that you use the same x-routing-id for all requests tied to the same customer.


- Value: customer_1122
- Tags: String, Required
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl -X POST \
https://api.juspay.in/customers/cst_zqqmw0v4exbhvv2l/customer-accounts/banh_6r9AmAtwA8Mzxebd/validate \
-H 'Content-Type: application/x-www-form-urlencoded' \
-H 'x-routing-id: customer_1122'\
-H 'Authorization: Basic QTA0QT*******ODg1Og==' 
```

### Sample Response:

#### 200 - Success(With Bank Account):
```plaintext
{
        "object": "customer_account",
        "customer_account_id": "banh_jhDBzmQanmKTLoZj",
        "customer_id": "cth_mh7UuTPY1V9dMGuT",
        "date_created": "2025-02-24T13:19:43.292530547Z",
        "account_details": {
            "name": "test",
            "ifsc": "AABF0008032",
            "account": "026291800001191"
        },
        "validation_amount": 1,
        "currency": "INR",
        "validation_status": "ACTIVE",
        "last_validated": "2025-02-24T13:19:43.292530547Z",
        "customer_account_type": "SAVINGS"
    }
```

#### 200 - Success(With UPI):
```json
{
        "object": "customer_account",
        "customer_account_id": "banh_kGvx5TGUmkRVC2dH",
        "customer_id": "cst_zqqmw0v4exbhvv2l",
        "date_created": "2023-06-06T13:29:49Z",
        "account_details": {
            "vpa": "4225246777@yesg"
        },
        "validation_amount": 1.0,
        "currency": "INR",
        "validation_status": "ACTIVE",
        "last_validated": "2023-06-06T13:29:53Z"
    }
```

#### 401 - Unauthorized:
```plaintext
{
    "status": "error",
    "error_code": "access_denied",
    "error_info": {
        "user_message": "Unauthorized.",
        "request_id": "b2e0fd33-7655-4778-83a8-5179ed21b0b7",
        "href": "NA",
        "developer_message": "Invalid API Key. Please pass a valid and active api key.",
        "code": "UNAUTHORIZED",
        "category": "USER_ERROR"
    }
}
```

## Path Parameters:

#### customer_id:
Customer Id
- Value: Example:- cst_weoridsfdkl
- Tags: String, Mandatory

#### customer_account_id:
Customer Account Id
- Value: Example:- bank_woeriusdfk
- Tags: String, Mandatory
## Body Parameters:
### Parameters:

#### preferred_ifsc_validation_gateway:
- Description: Preferred gateway to validate the bank account/VPA details
- Tags: String, Optional

#### validation_amount:
- Description: Predefined amount to verify the bank account details.Default amount: 1 INR (Rupee)
- Tags: String, Optional
## API Responses:
### 200:

#### object:
- Value: customer_account
- Tags: String

#### customer_account_id:
- Value: banh_kGvx5TGUmkRVC2dH
- Tags: String

#### customer_id:
- Value: cst_zqqmw0v4exbhvv2l
- Tags: String

#### date_created:
- Value: 2023-06-06T13:29:49Z
- Tags: String

#### account_details:
- Value:
  - **Vpa**:
    - Value: 4225246777@yesg
    - Tags: String
- Tags: Object

#### validation_amount:
- Value: 1
- Tags: String

#### currency:
- Value: INR
- Tags: String

#### validation_status:
- Description: Status of the validation.**Possible values:** `ACTIVE` - validation is successful at gateway with provided customer bank details

`PENDING` - Awaiting transaction status on the penny drop transaction

`FAILURE` - Provided account validation is failure
- Value: ACTIVE
- Tags: String

#### last_validated:
- Value: 2023-06-06T13:29:53Z
- Tags: String
### 401:

#### status:
- Description: Status of the get customer api response
- Value: Response: error
- Tags: String

#### error_code:
- Description: error code information
- Value: Sample response: access_denied
- Tags: String

#### error_info:
- Description: Detailed information of the error
- Value:
  - **User_message**:
    - Description: User error message
    - Value: Response: Unauthorized.
    - Tags: String
  - **Developer_message**:
    - Description: Provide accurate details on the error message
    - Value: Sample Response: Invalid API Key. Please pass a valid and active api key.
    - Tags: String
  - **Category**:
    - Description: Denotes the category of the error
    - Value: Sample Response: USER_ERROR
    - Tags: String
- Tags: JSON


---

## See Also

- [Create Customer Account](https://juspay.io/in/docs/api-reference/docs/express-checkout/create-customer-account)
- [Create with Validate Customer Account](https://juspay.io/in/docs/api-reference/docs/express-checkout/create-with-validate-customer-account)
